#!/bin/sh

# Wait for interfaces to be up (optional, adjust as needed)
while ! ip link show virbr0 >/dev/null 2>&1 || ! ip link show br1 >/dev/null 2>&1; do
    sleep 1
done

# Routing table setup
ip route add 10.88.0.0/24 via 10.44.0.3 dev virbr0

# Forwarding rules for traffic coming from and to masiero LAN.
# These rules are saved via iptables-save in /etc/iptables/rules.v4 - They are commented below for reference.
#
# iptables -I FORWARD 1 -i br1 -o virbr0 -d 10.44.0.0/24 -j ACCEPT
# iptables -I FORWARD 2 -i virbr0 -o br1 -s 10.44.0.0/24 -j ACCEPT